Package ru.bitel.bgbilling.plugins.message4user.common.bean

# Class Message

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.message4user.common.bean.Message

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Message
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Message()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `java.util.Set<java.lang.Integer>` | `getGroups()` |
  `java.lang.String` | `getMessageTitle()` |
  `java.lang.String` | `getText()` |
  `java.util.Set<java.lang.Integer>` | `getUsers()` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setGroups​(java.util.Set<java.lang.Integer> groups)` |
  `void` | `setMessageTitle​(java.lang.String messageTitle)` |
  `void` | `setText​(java.lang.String text)` |
  `void` | `setUsers​(java.util.Set<java.lang.Integer> users)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Message

    public Message()

- ## Method Details

  - ### getText

    public java.lang.String getText()

  - ### setText

    public void setText​(java.lang.String text)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getGroups

    public java.util.Set<java.lang.Integer> getGroups()

  - ### setGroups

    public void setGroups​(java.util.Set<java.lang.Integer> groups)

  - ### getUsers

    public java.util.Set<java.lang.Integer> getUsers()

  - ### setUsers

    public void setUsers​(java.util.Set<java.lang.Integer> users)

  - ### getMessageTitle

    public java.lang.String getMessageTitle()

  - ### setMessageTitle

    public void setMessageTitle​(java.lang.String messageTitle)